Mail archive
alpine-aports

[alpine-aports] [PATCH 9/13] main/qca: update new package

From: Tuan M. Hoang <tmhoang_at_flatglobe.org>
Date: Fri, 17 Mar 2017 07:10:12 -0400

Old package was removed

---
 main/qca/APKBUILD                         | 23 ++++++--------------
 main/qca/fix-base64-decoding-on-ARM.patch | 36 -------------------------------
 main/qca/secmem.patch                     | 11 ----------
 3 files changed, 6 insertions(+), 64 deletions(-)
 delete mode 100644 main/qca/fix-base64-decoding-on-ARM.patch
 delete mode 100644 main/qca/secmem.patch
diff --git a/main/qca/APKBUILD b/main/qca/APKBUILD
index 1f18231938..11bc0da717 100644
--- a/main/qca/APKBUILD
+++ b/main/qca/APKBUILD
_at_@ -1,7 +1,7 @@
 # Contributor: William Pitcock <nenolod_at_dereferenced.org>
 # Maintainer:
 pkgname=qca
-pkgver=2.0.3
+pkgver=2.1.3
 pkgrel=0
 pkgdesc="Qt cryptographic architecture"
 url="http://delta.affinix.com/qca/"
_at_@ -9,33 +9,22 @@ arch="all"
 license="LGPL"
 depends=
 depends_dev="qt-dev"
-makedepends="$depends_dev"
+makedepends="$depends_dev cmake cyrus-sasl-dev"
 install=""
 subpackages="$pkgname-dev $pkgname-doc"
-source="http://delta.affinix.com/download/qca/2.0/qca-$pkgver.tar.bz2
-	secmem.patch
-	fix-base64-decoding-on-ARM.patch"
+source="http://download.kde.org/stable/qca/2.1.3/src/qca-${pkgver}.tar.xz"
 
 builddir="$srcdir"/qca-$pkgver
 
 build() {
 	cd "$builddir"
-	./configure --prefix=/usr \
-		|| return 1
+	cmake -DCMAKE_INSTALL_PREFIX=/usr -DWITH_cyrus-sasl_PLUGIN=yes .
 	make || return 1
 }
 
 package() {
 	cd "$builddir"
-	make INSTALL_ROOT="$pkgdir" install || return 1
+	make DESTDIR="$pkgdir" install || return 1
 }
 
-md5sums="fc15bd4da22b8096c51fcfe52d2fa309  qca-2.0.3.tar.bz2
-53f5a927d6d654c5a82e106834e79985  secmem.patch
-e95b9bc20c732c4f656a28757d4588c7  fix-base64-decoding-on-ARM.patch"
-sha256sums="8da20c89f390954fdcfcd3c4deef379213ddb5ae9d6b5e0c917d23f5e474895f  qca-2.0.3.tar.bz2
-0bbe520dfe5f7d3114ed4b6cc772b0250472674b86415fe1d1aeaccaa7271257  secmem.patch
-31b61bed284f75c884888673af0a26aae5bf9c7e6f49e964c2fa1f24892a20cc  fix-base64-decoding-on-ARM.patch"
-sha512sums="c1120ffb373e294fbcc76e21dc2f503ebd3398b26d0ffa7ab7ee3a3e1a4228159358b59c2673ac4a1c2363771e61da54a5080b201c65d586ceda2e3b2facc1bb  qca-2.0.3.tar.bz2
-a06519a055af21d53bed65d90e31089d3c1e3fdf2459c6c52c394678cb0775a5f262728617eecbbd9e8e7f0340c7aa9326a8eb030de6214e24d7590032db5444  secmem.patch
-583c338fe8803f2fc17c8f931efccc893eda32f96b441c764f7d68844c32af3f8e9df61a58e50321ff692b7d1e4d7f06154832dafb982868c7cefad7da20f6ef  fix-base64-decoding-on-ARM.patch"
+sha512sums="0aec277e0695da2e45298f0a9006213829fe4c449a79969e472947db54f45000ba6e22361b782465bdc03f269b7301d318c843f5a83db459a118e58a03f3116a  qca-2.1.3.tar.xz"
diff --git a/main/qca/fix-base64-decoding-on-ARM.patch b/main/qca/fix-base64-decoding-on-ARM.patch
deleted file mode 100644
index 06deb38258..0000000000
--- a/main/qca/fix-base64-decoding-on-ARM.patch
+++ /dev/null
_at_@ -1,36 +0,0 @@
-From: Rolf Eike Beer <eb_at_emlix.com>
-Date: Mon, 27 Jun 2016 10:55:51 +0000
-Subject: fix base64 decoding on ARM
-X-Git-Url: http://quickgit.kde.org/?p=qca.git&a=commitdiff&h=601fd3a05141c614ae48a3ddac44194d669eaae1
----
-fix base64 decoding on ARM
-
-This code was broken on ARM and other architectures where "char" is unsigned by
-default.
-
-First, it breaks with newer compilers with errors like:
-
-.../src/qca_textfilter.cpp:314:2: error: narrowing conversion of '-1' from 'int' to 'char' inside { } [-Wnarrowing]
-
-Second, if the compiler would just allow this conversion then the unsigned char
-would hold 255, which would not be sign extended when cast to an int later, so
-all the checks "< 0" will never trigger, and so invalid input characters cannot
-be detected.
-
-REVIEW:128295
-BUG:364495
----
-
-
---- a/src/qca_textfilter.cpp
-+++ b/src/qca_textfilter.cpp
-_at_@ -293,7 +293,7 @@
- 	// 64 specifies eof
- 	// everything else specifies data
- 
--	static char tbl[] =
-+	static signed char tbl[] =
- 	{
- 		-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
- 		-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,-1,
-
diff --git a/main/qca/secmem.patch b/main/qca/secmem.patch
deleted file mode 100644
index 8f2306f7da..0000000000
--- a/main/qca/secmem.patch
+++ /dev/null
_at_@ -1,11 +0,0 @@
---- a/src/botantools/botan/botan/secmem.h
-+++ b/src/botantools/botan/botan/secmem.h
-_at_@ -214,7 +214,7 @@
- 
-       SecureVector(u32bit n = 0) { MemoryRegion<T>::init(true, n); }
-       SecureVector(const T in[], u32bit n)
--         { MemoryRegion<T>::init(true); set(in, n); }
-+         { MemoryRegion<T>::init(true); this->set(in, n); }
-       SecureVector(const MemoryRegion<T>& in)
-          { MemoryRegion<T>::init(true); set(in); }
-       SecureVector(const MemoryRegion<T>& in1, const MemoryRegion<T>& in2)
-- 
2.11.1
---
Unsubscribe:  alpine-aports+unsubscribe_at_lists.alpinelinux.org
Help:         alpine-aports+help_at_lists.alpinelinux.org
---
Received on Fri Mar 17 2017 - 07:10:12 GMT